Subject: bug#47570: libvirt still embeds full path to qemu-system in saved .xml files

From: divoplade <[email-masked]>
Date: Tue, 06 Apr 2021 08:48:16 +0200

Le lundi 05 avril 2021 à 19:45 +0100, Pierre Langlois a écrit :
> Do you know at which guix commit this happened?  I'm wondering which
> version of libvirt triggered this.  AFAICT, right now, if you create
> a
> fresh VM using gnome-boxes, it initializes the xml config with the
> qemu
> in /run/current-system/profile, which looks like the right thing to
> do.

I think my system did not auto-upgrade for some time because of a bug
in org-html-export-to-html that broke one of my packages (the bug is,
there’s an explicit comment to indicate a license for a script and that
comment is not XHTML). I don’t know which commit did that, but the
faulty system was between that commit and 24h before. Or there was
another earlier problem, and I can’t help, sorry.

You’re right, now that I upgraded it’s fixed.